# Class ValidateFormFieldRequest

#### Hierarchy

- unknown
  - ValidateFormFieldRequest

- Defined in src/protobuf/grpc_pb.d.ts:2100
- Defined in src/protobuf/grpc_pb.d.ts:2120

#####
Index

### Constructors

constructor

### Methods

clearForm
getFieldId
getForm
getValue
hasForm
serializeBinary
setFieldId
setForm
setValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ValidateFormFieldRequest(): ValidateFormFieldRequest

- #### Returns ValidateFormFieldRequest

  Inherited from jspb.Message.constructor

## Methods

### clearForm

- clearForm(): ValidateFormFieldRequest

- #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2104

### getFieldId

- getFieldId(): FieldId

- #### Returns FieldId

  - Defined in src/protobuf/grpc_pb.d.ts:2106

### getForm

- getForm(): undefined | PaymentAccountForm

- #### Returns undefined | PaymentAccountForm

  - Defined in src/protobuf/grpc_pb.d.ts:2101

### getValue

- getValue(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2109

### hasForm

- hasForm(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2103

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2112

### setFieldId

- setFieldId(value: FieldId): ValidateFormFieldRequest

- #### Parameters

  - ##### value: FieldId

  #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2107

### setForm

- setForm(value?: PaymentAccountForm): ValidateFormFieldRequest

- #### Parameters

  - ##### `Optional` value: PaymentAccountForm

  #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2102

### setValue

- setValue(value: string): ValidateFormFieldRequest

- #### Parameters

  - ##### value: string

  #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2110

### toObject

- toObject(includeInstance?: boolean): ValidateFormFieldRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ValidateFormFieldRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2113

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ValidateFormFieldRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2116

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ValidateFormFieldRequest, reader: BinaryReader): ValidateFormFieldRequest

- #### Parameters

  - ##### message: ValidateFormFieldRequest

  - ##### reader: BinaryReader

  #### Returns ValidateFormFieldRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2117

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ValidateFormFieldRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ValidateFormFieldRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2115

### `Static` toObject

- toObject(includeInstance: boolean, msg: ValidateFormFieldRequest): ValidateFormFieldRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ValidateFormFieldRequest

  #### Returns ValidateFormFieldRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2114

Generated using TypeDoc